# Author: Damyan Ivanov <dmn@debian.org>
# Description: use a log filename that includes the firebird major and minor
#  version. This way one can have the logs of multiple versions of firebird not
#  conflicting with each other
#  Perhaps a better approach would be to add an --with-logfile=/path/to/log
#  option to configure, which would also allow for the "check the log" message
#  below to point to the real log file
# Forwarded: no
--- a/src/jrd/file_params.h
+++ b/src/jrd/file_params.h
@@ -67,8 +67,10 @@ static const char* const WORKFILE	= "/tm
 static const char MSG_FILE_LANG[]	= "intl/%.10s.msg";
 #endif
 
+#include "build_no.h"
+
 static const char* const LOCKDIR	= "firebird";		// created in WORKFILE
-static const char* const LOGFILE	= "firebird.log";
+static const char* const LOGFILE	= "firebird"FB_MAJOR_VER"."FB_MINOR_VER".log";
 static const char* const MSG_FILE	= "firebird.msg";
 // Keep in sync with MSG_FILE_LANG
 const int LOCALE_MAX	= 10;
--- a/src/utilities/ibmgr/srvrmgr.cpp
+++ b/src/utilities/ibmgr/srvrmgr.cpp
@@ -273,7 +273,7 @@ void SRVRMGR_msg_get( USHORT number, TEX
 		rs = "can not quit now, use shut -ign";
 		break;
 	case MSG_STARTERR:
-		rs = "check $FIREBIRD/firebird.log file for errors";
+		rs = "check firebird log file for errors";
 		break;
 	case MSG_STARTFAIL:
 		rs = "can not start server";
